<?php
/**
 * Admin Fields qwebspc
 *
 * @since             1.0.0
 * @package
 *
 */

 // If this file is called directly, abort.
 if ( ! defined( 'WPINC' ) ) {
 	die;
 }

 
 add_action( 'woocommerce_product_options_advanced', 'qwebspc_add_meta_fields' );
 //add_action('woocommerce_product_options_inventory_product_data', 'qwebspc_add_meta_fields');
 function qwebspc_add_meta_fields() {
     global $post;
 
    $qwebspc_activate = get_post_meta( $post->ID, 'qwebspc_activate', true );
    if( empty( $qwebspc_activate ) ) $qwebspc_activate = '';

    $qwebspc_disable_link = get_post_meta( $post->ID, 'qwebspc_disable_link', true );
    if( empty( $qwebspc_disable_link ) ) $qwebspc_disable_link = '';

    $qwebspc_disable_minicart = get_post_meta( $post->ID, 'qwebspc_disable_minicart', true );
    if( empty( $qwebspc_disable_minicart ) ) $qwebspc_disable_minicart = '';

 
     woocommerce_wp_checkbox(array(
         'id'            => 'qwebspc_activate',
         'label'         => __('Enable See Price in Cart', 'woocommerce' ),
         'description'   => __( 'Enables See Price in Cart for this product.', 'woocommerce' ),
         'desc_tip'  => 'true',
         'value'         => $qwebspc_activate,
     ));

    // Custom Product Text Field
    woocommerce_wp_text_input(
      array(
        'id'          => 'qwebspc_product_see_price_in_cart_text',
        'label'       => __( 'Custom See Price in Cart Text', 'woocommerce' ),
        'placeholder' => 'Default: See Price in Cart',
       // 'desc_tip'    => 'true'
      ));

    woocommerce_wp_checkbox(array(
        'id'            => 'qwebspc_disable_link',
        'label'         => __('Disable Link on See Price in Cart', 'woocommerce' ),
        'description'   => __( 'Disables the link that is added to the See Price in Cart Text', 'woocommerce' ),
        'desc_tip'  => 'true',
        'value'         => $qwebspc_disable_link,
    ));

    woocommerce_wp_checkbox(array(
      'id'            => 'qwebspc_disable_minicart',
      'label'         => __('Disable See Price in Cart in Mini Cart', 'woocommerce' ),
      'description'   => __( 'This Disables the See Price in Cart on items in the Mini Cart, usually found as a cart icon in the heder.', 'woocommerce' ),
      'desc_tip'  => 'true',
      'value'         => $qwebspc_disable_minicart,
    ));

 }
 
 add_action( 'woocommerce_process_product_meta', 'qwebspc_save_meta_fields' );
 function qwebspc_save_meta_fields($post_id) {
     $_qwebspc_activate_option = isset( $_POST['qwebspc_activate'] ) ? 'yes' : '';
     update_post_meta( $post_id, 'qwebspc_activate', $_qwebspc_activate_option);

     $_qwebspc_disable_link_option = isset( $_POST['qwebspc_disable_link'] ) ? 'yes' : '';
     update_post_meta( $post_id, 'qwebspc_disable_link', $_qwebspc_disable_link_option);

     $_qwebspc_disable_minicart = isset( $_POST['qwebspc_disable_minicart'] ) ? 'yes' : '';
     update_post_meta( $post_id, 'qwebspc_disable_minicart', $_qwebspc_disable_minicart);

    // Hidden Product URL Variable Field
    $qwebspc_product_see_price_in_cart_text = $_POST['qwebspc_product_see_price_in_cart_text'];
    if (!empty($qwebspc_product_see_price_in_cart_text)) {
    update_post_meta($post_id, 'qwebspc_product_see_price_in_cart_text', esc_attr($qwebspc_product_see_price_in_cart_text));
    } else {
    update_post_meta($post_id, 'qwebspc_product_see_price_in_cart_text', 'See Price in Cart');
    }
 }
