<?php
/**
 * Main qwebspc
 *
 * @since             1.0.0
 * @package
 *
 */

 // If this file is called directly, abort.
 if ( ! defined( 'WPINC' ) ) {
 	die;
 }

/**
*
* Only hide add to cart button if that option is selected
*
* @return WP_Query $query
* @since             1.0.1
*/
function qwebspc_change_product_price_display( $price, $product ) {
  
 if ( ! is_admin() && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {

  if ( is_product() || is_shop() || is_archive() || is_tag() || is_front_page() ) {
    if (get_post_meta( $product->get_id(), 'qwebspc_activate', true ) == 'yes') {
      $product_url = get_permalink( $product->get_id() ) ;
      $qwebspc_product_see_price_in_cart_text = get_post_meta( $product->get_id(), 'qwebspc_product_see_price_in_cart_text', true );
      if (empty($qwebspc_product_see_price_in_cart_text ) || $qwebspc_product_see_price_in_cart_text  == '') {
        $qwebspc_product_see_price_in_cart_text = 'See Price In Cart';
      }
      $qwebspc_disable_link = get_post_meta( $product->get_id(), 'qwebspc_disable_link', true );
      if ($qwebspc_disable_link == 'yes') {
        $price = '<span class="price qwebspc_main" style="display:block;margin-bottom: 10px;" >'.$qwebspc_product_see_price_in_cart_text.'</span>';
      } else {
        $price = '<span class="price qwebspc_main" style="display:block;margin-bottom: 10px;" >'.$qwebspc_disable_link.'<a href="'.$product_url.'">'.$qwebspc_product_see_price_in_cart_text.'</a></span>';
      }
    }
  }
 }
  return $price;
}
add_filter( 'woocommerce_get_price_html', 'qwebspc_change_product_price_display', 10, 2 );
add_filter( 'woocommerce_variable_price_html', 'qwebspc_change_product_price_display', 10, 2 );

// TODO v1.1
function qwebspc_woocommerce_cart_item_price( $price_html, $cart_item, $cart_item_key ) {
  //$product_price = apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );
}
//add_filter( 'woocommerce_cart_item_price', 'qwebspc_woocommerce_cart_item_price', 10, 3 );

add_filter( 'woocommerce_show_variation_price', 'filter_show_variation_price', 10, 3 );
function filter_show_variation_price( $condition, $product, $variation ){
  if ( ! is_admin() && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {
    if ( is_product() || is_shop()) {
      if (get_post_meta( $product->get_id(), 'qwebspc_activate', true ) == 'yes') {
       return false;
      }
    }
  }
}

/**
*
* Hide Price in minicart 
*
* @return WP_Query $query
* @since             1.0.1
*/
function sv_change_product_price_cart( $price, $cart_item, $cart_item_key ) {
  //if ( ! is_admin() && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {
  if ( !is_cart() ) {
    $qwebspc_disable_minicart = get_post_meta( $cart_item['product_id'], 'qwebspc_disable_minicart', true );
   if ($qwebspc_disable_minicart != 'yes') {
    if (get_post_meta( $cart_item['product_id'], 'qwebspc_activate', true ) == 'yes') {
      $qwebspc_product_see_price_in_cart_text = get_post_meta( $cart_item['product_id'], 'qwebspc_product_see_price_in_cart_text', true );
      if (empty($qwebspc_product_see_price_in_cart_text ) || $qwebspc_product_see_price_in_cart_text  == '') {
        $qwebspc_product_see_price_in_cart_text = 'See Price In Cart';
      }
       $price = '<span class="price qwebspc_main" style="display:block;margin-bottom: 10px;" ><a href="'.wc_get_cart_url().'">'.$qwebspc_product_see_price_in_cart_text.'</a></span>';
    }
   }
}
  return $price;
}
 add_filter( 'woocommerce_cart_item_price', 'sv_change_product_price_cart', 10, 3 );



/*

//add_action( 'woocommerce_single_product_summary', 'remove_add_to_cart_button', 1 );
function remove_add_to_cart_button() {
    global $post;
    global $product;
    // Check if we need to hide add to cart button
    $qwebspc_hide_add_to_cart = get_post_meta( $post->ID, '_qwebspc_hide_add_to_cart', true );
    $qwebspc_product_url_variable = get_post_meta( $post->ID, '_qwebspc_product_url_variable', true );
    if ($qwebspc_hide_add_to_cart == 'yes' && !isset($_GET[$qwebspc_product_url_variable])) {
      // For variable product types (keeping attribute select fields)
      if( $product->is_type( 'variable' ) ) {
          remove_action( 'woocommerce_single_variation', 'woocommerce_single_variation_add_to_cart_button', 20 );
      }
      // For all other product types
      else {
          remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
      }
    }


}
*/



/**
 *
 * Main redirect function
 *
 * @since             1.0.0
 */
/*
function qwebspc_template_redirect()
{
 global $post;
 if ( is_product() && get_post_meta( $post->ID, 'qwebspc_activate', true ) == 'yes') {
   // Url variable
     $url_variable = get_post_meta( $post->ID, '_qwebspc_product_url_variable', true );
     if(isset($_GET[$url_variable]))
   {
   // If url key matches load the Product page
   } else {
     global $wp_query;
     $wp_query->set_404();
     status_header( 404 );
   //wp_redirect('');
  }
 }
}
add_action('template_redirect','qwebspc_template_redirect');
*/


/**
*
* Only hide add to cart button if that option is selected
*
* @return WP_Query $query
* @since             1.0.1
*/
/*
add_action( 'woocommerce_single_product_summary', 'remove_add_to_cart_button', 1 );
function remove_add_to_cart_button() {
    global $post;
    global $product;
    // Check if we need to hide add to cart button
    $qwebspc_hide_add_to_cart = get_post_meta( $post->ID, '_qwebspc_hide_add_to_cart', true );
    $qwebspc_product_url_variable = get_post_meta( $post->ID, '_qwebspc_product_url_variable', true );
    if ($qwebspc_hide_add_to_cart == 'yes' && !isset($_GET[$qwebspc_product_url_variable])) {
      // For variable product types (keeping attribute select fields)
      if( $product->is_type( 'variable' ) ) {
          remove_action( 'woocommerce_single_variation', 'woocommerce_single_variation_add_to_cart_button', 20 );
      }
      // For all other product types
      else {
          remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
      }
    }


}
*/


/**
*
* Replacing the button add to cart by a link to the product in Shop and archives pages
*
* @return WP_Query $query
* @since             1.0.1
*/
/*
add_filter( 'woocommerce_loop_add_to_cart_link', 'replace_loop_add_to_cart_button', 10, 2 );
function replace_loop_add_to_cart_button( $button, $product  ) {
  global $post;
  // Check if we need to hide add to cart button
  $qwebspc_hide_add_to_cart = get_post_meta( $post->ID, '_qwebspc_hide_add_to_cart', true );
  $qwebspc_product_url_variable = get_post_meta( $post->ID, '_qwebspc_product_url_variable', true );
  if ($qwebspc_hide_add_to_cart == 'yes') {
    $newHref = $product->get_permalink();
    $pattern = "/(?<=href=(\"|'))[^\"']+(?=(\"|'))/";
    $button = preg_replace($pattern, $newHref, $button);
  }
    return $button;
}
*/


/**
*
* Filter hidden products from "pre_get_posts"
* Don't display hidden products in the catalog / archive
*
* @return WP_Query $query
* @since             1.0.0
*/
/*
function qwebspc_pre_get_posts( $query ) {
 // Admins can see all products
 if ( is_admin() ) return $query;
 // target product archives only
 if ( !$query->is_post_type_archive('product') ) return $query;
 // Meta query
 $meta_query = array();
 if ( !empty($query->get('meta_query')) ) {
   $meta_query = array(
     'relation' => 'AND',
     $query->get('meta_query')
   );
 }
 $meta_query[] = array(
 'relation' => 'OR',
 array(
   'key' => 'qwebspc_activate',
   'value' => '', //<--- not required but necessary in this case
   'compare' => 'NOT EXISTS',
 ),
 array(
   'key'       => 'qwebspc_activate',
   'value'     => 'yes',
   'compare'   => 'NOT IN'
   ),
 );

 $query->set('meta_query', $meta_query);
 return $query;
}
add_action( 'pre_get_posts', 'qwebspc_pre_get_posts', 20 );
*/